package com.bzd.system.service.zlgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 处方登记记录 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SZlglCfdjSaleprescriptioninfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSZlglCfdjSaleprescriptioninfo(PageData pd)throws Exception {
        return daoSupport.update("SZlglCfdjSaleprescriptioninfoMapper.addSZlglCfdjSaleprescriptioninfo", pd);
    }

    public List<PageData> findSZlglCfdjSaleprescriptioninfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SZlglCfdjSaleprescriptioninfoMapper.selectSZlglCfdjSaleprescriptioninfoList", pd);
    }

    public Integer SZlglCfdjSaleprescriptioninfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SZlglCfdjSaleprescriptioninfoMapper.SZlglCfdjSaleprescriptioninfoRemove", pd);
    }


    public Integer updateSZlglCfdjSaleprescriptioninfo(PageData pd)throws Exception {
        return daoSupport.update("SZlglCfdjSaleprescriptioninfoMapper.updateSZlglCfdjSaleprescriptioninfo", pd);
    }

}
